Bug 1276759 - [abrt] gnome-boxes: canvas_get_surface_internal(): gnome-boxes killed by SIGSEGV
[abrt] gnome-boxes: canvas_get_surface_internal(): gnome-boxes killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bb07a0916a1caee9f017b16cfe7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 14:52 EDT by Joachim Frieben
Modified: 2017-08-08 08:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.83 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: cgroup (215 bytes, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: core_backtrace (14.83 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: dso_list (19.03 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: environ (693 bytes, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: maps (94.66 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: mountinfo (3.85 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: open_fds (3.12 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-30 14:52 EDT, Joachim Frieben
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-10-30 14:53 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2015-10-30 14:52:32 EDT
Description of problem:
I had clicked the link for the Linux Mint 17.2 64 bit release at http://www.linuxmint.com in firefox running in a virtual machine booted from the Linux Mint 17.2 RC 64 bit live DVD ISO image. 

Version-Release number of selected component:
gnome-boxes-3.19.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: canvas_get_surface_internal
executable:     /usr/bin/gnome-boxes
global_pid:     2275
kernel:         4.3.0-0.rc7.git2.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 canvas_get_surface_internal at ../spice-common/common/canvas_base.c:1070
 #1 canvas_get_surface at ../spice-common/common/canvas_base.c:1303
 #2 canvas_draw_composite at ../spice-common/common/canvas_base.c:3378
 #3 display_handle_draw_composite at channel-display.c:1641
 #4 spice_channel_recv_msg at spice-channel.c:1889
 #5 spice_channel_iterate_read at spice-channel.c:2126
 #6 spice_channel_iterate at spice-channel.c:2164
 #7 spice_channel_coroutine at spice-channel.c:2448
 #8 coroutine_trampoline at coroutine_ucontext.c:63
 #9 continuation_trampoline at continuation.c:55
Comment 1 Joachim Frieben 2015-10-30 14:52:40 EDT
Created attachment 1087988 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-10-30 14:52:42 EDT
Created attachment 1087989 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-10-30 14:52:44 EDT
Created attachment 1087990 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-10-30 14:52:46 EDT
Created attachment 1087991 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-10-30 14:52:48 EDT
Created attachment 1087992 [details]
File: environ
Comment 6 Joachim Frieben 2015-10-30 14:52:49 EDT
Created attachment 1087993 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-10-30 14:52:51 EDT
Created attachment 1087994 [details]
File: limits
Comment 8 Joachim Frieben 2015-10-30 14:52:54 EDT
Created attachment 1087995 [details]
File: maps
Comment 9 Joachim Frieben 2015-10-30 14:52:56 EDT
Created attachment 1087996 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-10-30 14:52:58 EDT
Created attachment 1087997 [details]
File: open_fds
Comment 11 Joachim Frieben 2015-10-30 14:52:59 EDT
Created attachment 1087998 [details]
File: proc_pid_status
Comment 12 Joachim Frieben 2015-10-30 14:53:01 EDT
Created attachment 1087999 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:53:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:25:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:20:38 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.